Index: ldirectord
===================================================================
RCS file: /home/cvs/linux-ha/linux-ha/ldirectord/ldirectord,v
retrieving revision 1.20
diff -u -r1.20 ldirectord
--- ldirectord	2000/10/09 21:00:42	1.20
+++ ldirectord	2000/10/18 07:35:04
@@ -1,4 +1,8 @@
 #!/usr/bin/perl
+#
+# SPECIAL VERSION NOTE
+# This is ldirectord 1.20 patched to prepend a "/" to request URIs
+#
 # Linux Director Daemon - run "perldoc ldirectord" for details
 # THIS IS BETA. checkout version 1.6 for a stable version.
 # $Id: ldirectord,v 1.20 2000/10/09 21:00:42 horms Exp $
@@ -470,6 +474,10 @@
 				} elsif ($rcmd =~ /^request\s*=\s*\"(.*)\"/) {
 					$1 =~ /(.+)/ or config_error($line, "no request string specified");
 					$vsrv{request} = $1;
+					unless($vsrv{request}=~/^\//){
+						$vsrv{request} = "/" . $vsrv{request};
+					}
+
 				} elsif ($rcmd =~ /^receive\s*=\s*\"(.*)\"/) {
 					$1 =~ /(.+)/ or config_error($line, "invalid receive string");
 					$vsrv{receive} = $1;
